'use strict';

import React from 'react';

import PlayPause from 'play-pause';


export default class RppWrap extends React.Component {


  constructor(props) {
    super(props);

    this.state = this.__getInitialState();
  }


  __getInitialState() {
    return { isPlay: false }
  }


  _handleClick() {
    console.debug('PlayPause component action');
    this.setState({ isPlay: !(this.state.isPlay) });
  }


  render() {
    return(
      <button
        type="button"
        onClick={ () => this._handleClick() }
      >
        <PlayPause play={ this.state.isPlay } />
      </button>
    );
  }


}
